Download it now!
Bug 73219 - Exported DOCX file shows problem with the corruption dialog box
Summary: Exported DOCX file shows problem with the corruption dialog box
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: Confirmed:4.2.0.1:OSX target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 10:58 UTC by Priyanka Gaikwad
Modified: 2014-03-18 13:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
docx file (133.05 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-02 10:58 UTC, Priyanka Gaikwad
Details
docx file (28.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-25 09:45 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-01-02 10:58:20 UTC
Created attachment 91411 [details]
docx file

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
Expected:
1. File should get saved and opened properly in MS Word.
Actual:
1. MS Word shows document corruption dialog.
Comment 1 retired 2014-01-02 11:21:03 UTC
Confirmed:4.2.0.1:OSX

Re-saving as another docx file and opening the save docx with Word 2010 brings up error message from word.

NEW.
Comment 2 Priyanka Gaikwad 2014-02-25 09:45:12 UTC
Created attachment 94708 [details]
docx file
Comment 3 Commit Notification 2014-03-05 09:53:26 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0415e2696156b25226f21085a0716187f83c2f4b

fdo#73219 File corruption: Table in header



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-03-17 11:01:19 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Thanks for fixing!

Kind regards,
Joren
Comment 5 darshan.gandhi 2014-03-18 13:45:30 UTC
Table in header is getting preserved and verified on lastest LO master dated 18th Mar 2014